Page MenuHomePhabricator

Investigate why interwiki cache hit/miss is no longer reported
Closed, ResolvedPublic

Description

The last time it was reported was october 9 2017.

Event Timeline

dcausse created this task.Apr 11 2018, 9:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBjune triaged this task as Normal priority.Apr 26 2018, 5:22 PM
EBjune moved this task from needs triage to Up Next on the Discovery-Search board.

Change 460445 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Repair interwiki query cache

https://gerrit.wikimedia.org/r/460445

It turns out the cache has been disabled. We've been running without it likely since oct 2017, does it matter to put back in place? The patch above tries to fix the cache, but we could alternatively remove it.

Change 460445 abandoned by EBernhardson:
Repair interwiki query cache

Reason:
this hasn't been used for a year since it broke, agreed to delete it from the code instead.

https://gerrit.wikimedia.org/r/460445

Change 460962 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Drop support for caching interwiki queries

https://gerrit.wikimedia.org/r/460962

Change 461088 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] cleanup drop wgCirrusSearchInterwikiCacheTime

https://gerrit.wikimedia.org/r/461088

Change 460962 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Drop support for caching interwiki queries

https://gerrit.wikimedia.org/r/460962

Change 461088 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] cleanup drop wgCirrusSearchInterwikiCacheTime

https://gerrit.wikimedia.org/r/461088

debt closed this task as Resolved.Oct 5 2018, 4:06 PM